#
# spec file for package guile-oops (Version 1.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake guile
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff guile gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         guile-oops
Provides:     goops
Obsoletes:    goops
Copyright:    GPL
Group:        Development/Languages
Provides:     guile-oops 
Autoreqprov:  on
Version:      1.0.2
Release:      127
Summary:      Object oriented extension to Guile
Url:          ftp://ftp.gnu.org/pub/gnu/guile/
Source:       guile-oops-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
GOOPS is the object oriented extension to Guile. Its implementation is
derived from STk-3.99.3 by Erick Gallesio and version 1.3 of Gregor
Kiczales `Tiny-Clos'.  It is very close in spirit to CLOS, the Common
Lisp Object System (`CLtL2') but is adapted for the Scheme language.
While GOOPS is not compatible with any of these systems, GOOPS
contains a compatibility module which allows for execution of STKlos
programs.

Authors:
--------
    Erick Gallesio <eg@unice.fr>
    Mikael Djurfeldt <djurfeldt@nada.kth.se>
    Christian Lynbech <chl@tbit.dk>
    Neil Jerram <neil@@ossau.uklinux.net>
    Michael Livshin

SuSE series: gnm

%prep
%setup

%build
%{suse_update_config}
libtoolize --force
aclocal
autoconf
automake
CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=/usr \
	      --mandir=%{_mandir} \
              --infodir=%{_infodir} \
              --with-threads \
              %{_target_cpu}-suse-linux-gnu
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANON-CVS AUTHORS COPYING COPYRIGHTS ChangeLog GOOPS-VERSION HACKING NEWS README
%doc SNAPSHOTS TAGS THANKS TODO
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/share/guile/*/oop
%doc %{_infodir}/goops*
%doc %{_mandir}/man?/*

%changelog -n guile-oops
* Thu Jun 14 2001 - pmladek@suse.cz
- added libtoolize --force to compile with new automake
* Mon Mar 12 2001 - cihlar@suse.cz
- update to version 1.0.2
* Thu Mar 08 2001 - cihlar@suse.cz
- renamed goops -> guile-oops
- update to version 1.0
* Thu Nov 02 2000 - cihlar@suse.cz
- clean up spec file
- bzipped sources
* Tue Aug 08 2000 - cihlar@suse.cz
- package created
